---
title: Seller Profile
slug: countdownapi/ebay-product-data-api/parameters/seller-profile
docTags: 
createdAt: 2024-07-29T12:49:20.015Z
---

# Seller Profile Parameters

<font color="#52c41a">`GET`</font>  `/request`

The Seller Profile Parameters are applicable when making a request with  `type=seller_profile`  to retrieve seller profile information for a given seller on a given Ebay domain - the Ebay domain is specified using the  `ebay_domain`  parameter and the seller name is specified in the  `seller_name`  parameter. The parameters should be appended as querystring parameters to the Ebay Product Data API `GET` HTTP request.

Seller Profile results are retrieved from the [seller profile results page](https://www.ebay.com/usr/lytecordz) on Ebay.

![](https://apiimages.imgix.net/countdownapi/images/png/docs/seller_profile.png?auto=format\&ixlib=react-9.5.1-beta.1\&w=600 "Seller Profile Page")

For example, to request seller profile results for the seller name  `lytecordz`  on  `ebay.com` , the request would be:

:::CodeblockTabs
HTTP

```HTTP
https://api.countdownapi.com/request?api_key=demo&type=seller_profile&ebay_domain=ebay.com&seller_name=lytecordz
```

```curl
curl -L --get https://api.countdownapi.com/request \
-d api_key="demo" \
-d type="seller_profile" \
-d ebay_domain="ebay.com" \
-d seller_name="lytecordz"
```

```nodejs
const axios = require('axios');

// set up the request parameters
const params = {
  api_key: "demo",
  type: "seller_profile",
  ebay_domain: "ebay.com",
  seller_name: "lytecordz"
}

// make the http GET request to Countdown API
axios.get('https://api.countdownapi.com/request', { params })
  .then(response => {

    // print the JSON response from Countdown API
    console.log(JSON.stringify(response.data, 0, 2));

  }).catch(error => {
    // catch and print the error
    console.log(error);
  })
```

```python
import requests
import json

# set up the request parameters
params = {
  'api_key': 'demo',
  'type': 'seller_profile',
  'ebay_domain': 'ebay.com',
  'seller_name': 'lytecordz'
}

# make the http GET request to Countdown API
api_result = requests.get('https://api.countdownapi.com/request', params)

# print the JSON response from Countdown API
print(json.dumps(api_result.json()))
```

```php
<?php
      
# set up the request parameters
$queryString = http_build_query([
  'api_key' => 'demo',
  'type' => 'seller_profile',
  'ebay_domain' => 'ebay.com',
  'seller_name' => 'lytecordz'
]);

# make the http GET request to Countdown API
$ch = curl_init(sprintf('%s?%s', 'https://api.countdownapi.com/request', $queryString));
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_FOLLOWLOCATION, true);
# the following options are required if you're using an outdated OpenSSL version
# more details: https://www.openssl.org/blog/blog/2021/09/13/LetsEncryptRootCertExpire/
curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, false);
curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
curl_setopt($ch, CURLOPT_TIMEOUT, 180);

$api_result = curl_exec($ch);
curl_close($ch);

# print the JSON response from Countdown API
echo $api_result;

?>
```
:::

***

### Seller Profile Parameters

The following parameters are available for all requests made when  `type=seller_profile` .

| `Parameter`   | `Required` | `Description`                                                                                                                                                                                                                                                                                                                               |
| ------------- | ---------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `ebay_domain` | `optional` | The Ebay domain to retrieve seller profile results from. For a full list of supported Ebay domains see [Supported Ebay Domains ](https://docs.trajectdata.com/countdownapi/ebay-product-data-api/reference/ebay-domains).                                                                                                                   |
| `seller_name` | `optional` | The seller name to retrieve seller profile details for. Used in combination with the `ebay_domain` parameter. Seller Names are returned from other Countdown API requests such as `type=product` and `type=reviews` .  <br />**Note** : If the `seller_name` and `ebay_domain` parameters are supplied then the `url` parameter is ignored. |
| `url`         | `optional` | The Ebay seller profile page URL to retrieve seller profile details from.  <br />**Note** : If the `url` parameter is supplied then the `ebay_domain` and `seller_name` parameters are ignored.<br />We default to using the **/usr/&#x20;**&#x66;ormat. If the target Seller profile is a storefront, see below:                           |
| `is_store`    | `optional` | boolean<br />When this is set to true, the API will use the **/str/** URL format instead of /usr/.<br />**Note:&#x20;**&#x54;his ensures correct handling for eBay storefronts that require /str/ routing.                                                                                                                                  |

***

**Next Steps**
     [Seller Profile Results](https://docs.trajectdata.com/countdownapi/ebay-product-data-api/results/seller-profile)
